GET /{environment}/searches/lists Copy page Copy link View Markdown Description Query cached search results from a previously computed list. Parameters Type Name Description Schema Path environment required The environment for which the list request is made. string Query list_key required Identifier of the cached list returned by an earlier search. string Query offset required Rank of the first item to include (1-based). integer Query limit required Number of items to return. integer Responses HTTP Code Description Schema 200 OK SearchResults 404 List key not found or expired. No Content Produces application/json Item One content item returned by the Search API. Name Description Schema information_field required Optional metadata field configured per customer. string item_id required Identifier of the item in your catalog. string type required Document type of the returned object. string List Represents a grouped subset of search results. Name Description Schema grouped_by optional Values of the group_by keys shared by every item in the list. < string > array items optional Items contained in this list. < Item > array limit optional Number of items returned in this list. integer list_key optional Identifier that lets you re-fetch remaining items. string list_name optional Server-generated name of the list. string list_size optional Total number of cached items for this list. integer SearchResults Response returned by the search endpoints. Name Description Schema auto_suggest optional Alternative query if autocorrect was triggered. string lists required Grouped search results. < List > array num_lists required Number of lists that were requested. integer perfect_match optional Exact match for the query, if available. Item request_id required Identifier of the request to log alongside events. string user_group optional Experiment group the user belongs to. string